Class | Fog::Model
In: | lib/fog/core/model.rb
Parent: | Object

### Methods

inspect new reload symbolize_keys to_json wait_for

### Included Modules

Fog::Attributes::InstanceMethods

### Attributes

collection | [RW] |
connection | [RW] |

### Public Class methods

new(new_attributes = {})

### Public Instance methods

inspect()
reload()
symbolize_keys(hash)
to_json(options = {})
wait_for(timeout=Fog.timeout, interval=1, &block)

[Validate]